class Eingangsfuzzyset
{
    public:
        int fg_anzahl;
        Fuzzygroesse** fg;

        double* zwerte;

        Eingangsfuzzyset(int fg_anzahl)
        {
            this->fg_anzahl = fg_anzahl;
            fg = new Fuzzygroesse*[fg_anzahl];
            //Dummywerte eintragen:
            fg[0] = new Fuzzygroesse(0.0,1.0,2.0,true,false);
            for(int i=1;i<fg_anzahl-1;i++)
                fg[i] = new Fuzzygroesse((double)i,(double)(i+1),(double)(i+2),false,false);
            fg[fg_anzahl-1] = new Fuzzygroesse((double)(fg_anzahl-1),(double)(fg_anzahl),
                                               (double)(fg_anzahl+1),false,true);
            zwerte = new double[fg_anzahl];
        }
        void setzeStellen(double* stelle)
        {
            fg[0]->p[0] = stelle[0]-1.0; //Dummy-Wert
            fg[0]->p[1] = stelle[0];
            fg[0]->p[2] = stelle[1];

            for(int i=1;i<fg_anzahl-1;i++)
            {
                fg[i]->p[0] = stelle[i-1];
                fg[i]->p[1] = stelle[i];
                fg[i]->p[2] = stelle[i+1];
            }

            fg[fg_anzahl-1]->p[0] = stelle[fg_anzahl-2];
            fg[fg_anzahl-1]->p[1] = stelle[fg_anzahl-1];
            fg[fg_anzahl-1]->p[2] = stelle[fg_anzahl-1]+1.0; //Dummy-Wert
        }

        double* berechneZugehoerigkeitswerte(double x)
        {
            for(int i=0;i<fg_anzahl;i++)
                zwerte[i] = fg[i]->berechneZugehoerigkeitswert(x);
            return zwerte;
        }
};